Subject: Re: [dhcwg] dhc WG recharter

From: John Jason Brzozowski <[email-masked]>
Date: Tue, 02 Oct 2007 16:59:03 -0400

Sorry for the delayed response, hope it is not too late.

Would it be premature for us to embark on efforts related to DHCPv6
Redundancy?

Otherwise, what has been outlined thus far seems reasonable.

Thanks,

John

On 9/24/07 12:38 AM, "Ralph Droms" <[email-masked]> wrote:

> Included below is the latest revision of the proposed new dhc WG
> charter.  This revision is based on input received during earlier
> review of the proposed new WG charter.  Please review this revision
> and reply before Oct 2, so your input can be considered before the
> new charter is reviewed by the IESG.
> 
> - Ralph and Stig
> 
> =====
> 
> The dhc working group (DHC WG) has developed DHCP for automated
> allocation, configuration and management of IP addresses and TCP/IP
> protocol stack parameters. DHCPv4 is currently a "Draft Standard" and
> is documented in RFC 2131 and RFC 2132.  DHCPv6 is currently a
> "Proposed Standard" and is documented in RFC 3315.  Subsequent RFCs
> document additional options and other enhancements to the
> specifications.
> 
> The DHC WG is responsible for reviewing DHCP options or other
> extensions (for both IPv4 and IPv6). The DHC WG is expected to review
> all proposed extensions to DHCP to ensure that they are consistent
> with the DHCP specification and other option formats, that they do not
> duplicate existing mechanisms, etc.  Generally speaking, the DHC WG
> will not be responsible for evaluating the semantic content of
> proposed options. Similarly, the ownership of specifications typically
> belongs the relevant working group that needs more functionality from
> DHCP, not the DHC WG. The DHC WG coordinates reviews of the proposed
> options together with those working groups. It is required that those
> working groups have consensus to take on the work and that the work is
> within their charter. Exceptionally, with AD agreement, this same
> process can also be used for Individual Submissions originating
> outside WGs.
> 
> However, the DHC WG can in some cases develop its own options that
> relate to either maintenance of existing specifications or
> improvements in the operation of the DHCP infrastructure itself.
> 
> The DHC WG has the following main objectives:
> 
> * Develop extensions to the DHCP infrastructure as required to meet
>    new applications and deployments of DHCP. The topics currently
>    in development are:
> 
>      - Subnet allocation mechanisms
>      - Virtual subnet identification option
>      - Option for passing DNS domain information in DHCPv6
>      - DHCP relay agent assignment notification in DHCPv6
>      - Option for DHCPv6 server reply sequence numbers
>      - Rebinding capability for DHCPv6 Reconfigure messages
> 
>    The adoption of new items requires explicit agreement from
>    the AD or rechartering.
> 
> * Write analyses of the DHCPv4 and DHCPv6 specifications,
>    including RFC 2131, RFC 2132, RFC 3315 and other RFCs defining
>    additional options, which identifies ambiguities, contradictory
>    specifications and other obstacles to development of interoperable
>    implementations. Recommend a process for resolving identified
>    problems and incorporating the resolutions into the DHCP
>    specification.
> 
>    Secondly, advance DHCPv4 (RFC 2131 and RFC 2132) and DHCPv6 (RFC
>    3315) in IETF Standards Track.
> 
>    Thirdly, specify guidelines for creating new DHCP options.
> 
> * Assess the requirements for a dual-stack host to use DHCP to obtain
>    configuration settings for both IPv4 and IPv6.  Hosts that include
>    implementations of both IPv4 and IPv6 ("dual-stack hosts") may use
>    DHCP to obtain configuration settings (including assigned addresses)
>    for both IPv4 and IPv6.  The DHCPv4 and DHCPv6 specifications (RFC
>    2131, RFC 2132, RFC 3315 and subsequent RFCs) do not explicitly
>    explain how a dual-stack host uses DHCP to obtain configuration
>    settings for both IP stacks.  The DHC WG will evaluate solutions for
>    configuration of dual-stack hosts through DHCP and select a solution
>    that will be developed and published by the WG.
> 
> Milestones:
> 
> Done   WG last call for "Subnet Allocation Option"
>         <draft-ietf-dhc-subnet-alloc-04>
> Done   WG last call on "Virtual Subnet Selection Option",
>         <draft-ietf-dhc-vpn-option>
> Oct 07 Submit "Subnet Allocation Option"
>         <draft-ietf-dhc-subnet-alloc-04> to IESG
>         for Proposed Standard
> Nov 07 WG last call on "Guidelines for Creating New DHCP Options"
>         <draft-ietf-dhc-option-guidelines>
> Nov 07 Submit "Virtual Subnet Selection Option",
>         <draft-ietf-dhc-vpn-option> and <draft-ietf-dhc-agent-vpn-id>
>         to IESG for Proposed Standard
> Dec 07 WG last call for "Domain Suffix Option for DHCPv6"
>         <draft-ietf-dhc-dhcpv6-opt-dnsdomain>
> Jan 08 Submit "Domain Suffix Option for DHCPv6"
>         <draft-ietf-dhc-dhcpv6-opt-dnsdomain> to IESG
>         for Proposed Standard
> Jan 08 Submit "Guidelines for Creating New DHCP Options"
>         <draft-ietf-dhc-option-guidelines> to IESG for Best Current
>         Practice
> Jan 08 Develop plan for advancing DHCPv4 and DHCPv6; plan to include
>         completion of DHCPv4 specification review report,
>         "Implementation Issues with RFC 2131"
>         <draft-ietf-dhc-implementation-02> for Informational
> Feb 08 WG last call for "Dual-stack clients and merging of data from
>         DHCPv4 and DHCPv6" <draft-ietf-dhc-dual-stack-merge-01.txt>;
>         waiting for more experience with IPv6 deployment
> Feb 08 WG last call for "Rebind Capability in DHCPv6 Reconfigure
>         Messages" <draft-ietf-dhc-dhcpv6-reconfigure-rebind-00>
> Apr 08 2nd WG last call for "DHCP Relay Agent Assignment Notification
>         Option" <draft-ietf-dhc-dhcpv6-agentopt-delegate-01> and
>         "DHCPv6 Server Reply Sequence Number Option"
>         <draft-ietf-dhc-dhcpv6-srsn-option-00>
> May 08 Submit "Rebind Capability in DHCPv6 Reconfigure Messages"
>         <draft-ietf-dhc-dhcpv6-reconfigure-rebind-00> to IESG for
>         Proposed Standard
> Jul 08 Submit "DHCP Relay Agent Assignment Notification Option"
>         <draft-ietf-dhc-dhcpv6-agentopt-delegate-01> and "DHCPv6 Server
>         Reply Sequence Number Option"
>         <draft-ietf-dhc-dhcpv6-srsn-option-00> to IESG for
>         Proposed Standard
> Jul 08 Recharter for more work
> 
> _______________________________________________
> dhcwg mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/dhcwg

=========================================
John Jason Brzozowski (CISSP, RHCT)
Comcast Corporation
e) mailto:[email-masked]
m) 609-377-6594
p) 856-324-2671
=========================================

_______________________________________________
dhcwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dhcwg

---

From: Ralph Droms <[email-masked]>
Date: Thu, 4 Oct 2007 14:12:09 -0400

Included below is the latest revision of the proposed new dhc WG  
charter.  This revision is based on input received during earlier  
review of the proposed new WG charter.

- Ralph

   dhc WG charter, rev 10/4/07
   ---------------------------
   The dhc working group (DHC WG) has developed DHCP for automated
   allocation, configuration and management of IP addresses and TCP/IP
   protocol stack parameters. DHCPv4 is currently a "Draft Standard" and
   is documented in RFC 2131 and RFC 2132.  DHCPv6 is currently a
   "Proposed Standard" and is documented in RFC 3315.  Subsequent RFCs
   document additional options and other enhancements to the
   specifications.

   The DHC WG is responsible for reviewing DHCP options or other
   extensions (for both IPv4 and IPv6). The DHC WG is expected to review
   all proposed extensions to DHCP to ensure that they are consistent
   with the DHCP specification and other option formats, that they do  
not
   duplicate existing mechanisms, etc.  Generally speaking, the DHC WG
   will not be responsible for evaluating the semantic content of
   proposed options. Similarly, the ownership of specifications  
typically
   belongs the relevant working group that needs more functionality from
   DHCP, not the DHC WG. The DHC WG coordinates reviews of the proposed
   options together with those working groups. It is required that those
   working groups have consensus to take on the work and that the  
work is
   within their charter. Exceptionally, with AD agreement, this same
   process can also be used for Individual Submissions originating
   outside WGs.

   * Develop extensions to the DHCP infrastructure as required to meet
     new applications and deployments of DHCP. The topics currently
|   in development or under investigation are:

       - Subnet allocation mechanisms
       - Virtual subnet identification option
       - Option for passing DNS domain information in DHCPv6
       - DHCP relay agent assignment notification in DHCPv6
       - Option for DHCPv6 server reply sequence numbers
       - Rebinding capability for DHCPv6 Reconfigure messages
|     - Behavior of layer 2 relay agents
|     - Prefix and default gateway information in DHCPv6
|     - IP session authentication

   * Assess the requirements for a dual-stack host to use DHCP to obtain
     configuration settings for both IPv4 and IPv6.  Hosts that include
     implementations of both IPv4 and IPv6 ("dual-stack hosts") may use
     DHCP to obtain configuration settings (including assigned  
addresses)
     for both IPv4 and IPv6.  The DHCPv4 and DHCPv6 specifications (RFC
     2131, RFC 2132, RFC 3315 and subsequent RFCs) do not explicitly
     explain how a dual-stack host uses DHCP to obtain configuration
     settings for both IP stacks.  The DHC WG will evaluate solutions  
for
     configuration of dual-stack hosts through DHCP and select a  
solution
     that will be developed and published by the WG.

   Milestones:

          <draft-ietf-dhc-dhcpv6-agentopt-delegate-01> and "DHCPv6  
Server
| Jul 08 Recharter